Page MenuHomePhabricator

Migration of Mobile Apps team to Phabricator
Closed, ResolvedPublic

Description

Let's track progress on the migration of this team to Phabricator. Feel free editing this task description.

  • Team member assigned to this task
  • Link(s) to the current projects in Mingle, Trello, other
  • (optional) Have you scheduled a team meeting with @Qgil to discuss the migration? (yyyy-mm-dd)
  • Blockers of the migration identified: (list the task numbers between {curly brackets})
  • Planned date for the migration/creation of a first real project: yyyy-mm-dd
  • Do you plan to have all your projects moved by the end of 2014? Yes/No, and if not, why

(...)

  • More than half of our team members and ongoing sprints are working in Phabricator now (yyyy-mm-dd)
  • All our projects have been moved to Phabricator. Mission completion! (yyyy-mm-dd)

Event Timeline

Qgil created this task.Oct 24 2014, 2:11 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: Project-Management.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Tfinc, KLans_WMF, Deskana.

@Deskana says in T1155:

If I drag cards around on a board, it should live update. This is a pretty much a blocker for the Mobile teams adopting Phabricator as their main project management.

Marking T129: Phabricator boards should live update as a blocker accordingly, although this is a tough one.

Qgil added a comment.Nov 27 2014, 8:10 AM

As per T434 , in the following days I plan to scan the levels of use of Phabricator by all the WMF product & engineering teams. Please keep the description of this task up to date.

Who should be the owner of this task? It would be good to have a point of contact.

Qgil updated the task description. (Show Details)Feb 19 2015, 12:42 PM

I'd recommend Kristen the apps teams scrum master take this on.

Qgil added a comment.Feb 27 2015, 10:29 AM
In T851#1050456, @Tfinc wrote:

I'd recommend Kristen the apps teams scrum master take this on.

@KLans_WMF, fyi this works for me. :)

If/when you decide to move to Phabricator entirely, will you need migration of Trello cards to Phabricator tasks, aka someone to run T821: Trello -> Phabricator migration script?

Qgil added a comment.Mar 16 2015, 8:59 PM

FYI, I'm going to try out burndown charts with these app team sprints (Phab board links below, this is also a trial of Phab for sprint planning/working for the team). These sprints kick off on Feb 30.
https://phabricator.wikimedia.org/project/view/1065/
https://phabricator.wikimedia.org/project/view/1066/

How did these sprints go, and are there any updates on potential Phabricator migration plans?

Qgil added a comment.Mar 27 2015, 1:08 PM

Hi, I'm preparing the Phabricator migration statistics for the Developer-Advocacy quarterly review. Currently T434: Show percentage of teams migrated to Phabricator for project management reports that your situation with Phabricator is

0	  Not started

Is this accurate?

Actually, the app team is at ".75" according to the legend. We are now
actively using Phab for sprints and general backlog management, but we
still have our legacy stuff in Trello.

Qgil added a subscriber: Spage.Apr 8 2015, 11:11 AM

Thank you! Your progress has been reported in T434. If you want help migrating your Trello legacy cards, please contact @Spage.

Qgil added a comment.May 7 2015, 12:50 PM

Any news on this front? I just want to know when can we consider this transition completed and this task Resolved.

The final step is to run the Trello import script. We've been holding off
on this while we get used to Phabricator and figure out ideal workflows.
We're probably getting to a place where we can think about doing a last
pass on trello backlogs and asking S to help us run the script. Given Lyon
hackathon travel, etc. I predict the soonest we could call this "done"
would be the end of June.

Qgil added a comment.Jun 11 2015, 7:11 AM

The end of June is approaching... Could you share an update, please? 140chars is enough. :)

Deskana removed a subscriber: Deskana.Jun 11 2015, 2:34 PM

The final step is to run the Trello import script. We've been holding off
on this while we get used to Phabricator and figure out ideal workflows.

As it's end of June now: Any news to share?

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 30 2015, 8:41 PM
Dbrant closed this task as Resolved.Aug 14 2015, 1:42 PM
Dbrant claimed this task.